// fts.h : Declaration of the Cfts

#ifndef __FTS_H_
#define __FTS_H_

#include "resource.h"       // main symbols
#include "CBstrImpl.h"

const CBstr cKeywAND = "AND";
const CBstr cKeywOR = "OR";

/////////////////////////////////////////////////////////////////////////////
// Cfts
class ATL_NO_VTABLE Cfts : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<Cfts, &CLSID_fts>,
	public ISupportErrorInfo,
	public IDispatchImpl<Ifts, &IID_Ifts, &LIBID_SQLTools>
{
public:
	Cfts() : strEmptyWords("")
	{
		GetEmptyWords();
	}

DECLARE_REGISTRY_RESOURCEID(IDR_FTS)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(Cfts)
	COM_INTERFACE_ENTRY(Ifts)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// Ifts
public:
	STDMETHOD(get_SearchString)(/*[in]*/ BSTR *SearchString, /*[out, retval]*/ BSTR *bstrVal);
private:
	void GetNoiseFilename(LPTSTR pstrNoiseFileName);
	void GetEmptyWords();
	CBstr strEmptyWords;
};

#endif //__FTS_H_
